/****** Object:  UserDefinedFunction [dbo].[CheckTableFarsi_Date]    Script Date: 03/11/1404 04:52:16 ب.ظ ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER  FUNCTION [dbo].[CheckTableFarsi_Date]
(@Table int , @Row int) RETURNS int
WITH SCHEMABINDING
AS
BEGIN
	DECLARE @RET AS INT
	IF @TABLE=1
	BEGIN
		select @RET=CASE @ROW
			WHEN 0 THEN 0
			WHEN 1 THEN 31
			WHEN 2 THEN 59
			WHEN 3 THEN 90
			WHEN 4 THEN 120
			WHEN 5 THEN 151
			WHEN 6 THEN 181
			WHEN 7 THEN 212
			WHEN 8 THEN 243
			WHEN 9 THEN 273
			WHEN 10 THEN 304
			WHEN 11 THEN 334
		END
/*
		IF @ROW=0 SET @RET=0
		IF @ROW=1 SET @RET=31
		IF @ROW=2 SET @RET=59
		IF @ROW=3 SET @RET=90
		IF @ROW=4 SET @RET=120
		IF @ROW=5 SET @RET=151
		IF @ROW=6 SET @RET=181
		IF @ROW=7 SET @RET=212
 		IF @ROW=8 SET @RET=243
		IF @ROW=9 SET @RET=273
		IF @ROW=10 SET @RET=304
		IF @ROW=11 SET @RET=334
*/
	END
	
	IF @TABLE=2
	BEGIN
		select @RET=CASE @ROW
			WHEN 0 THEN 0
			WHEN 1 THEN 31
			WHEN 2 THEN 60
			WHEN 3 THEN 90
			WHEN 4 THEN 120
			WHEN 5 THEN 151
			WHEN 6 THEN 181
			WHEN 7 THEN 212
			WHEN 8 THEN 243
			WHEN 9 THEN 273
			WHEN 10 THEN 304
			WHEN 11 THEN 334
		END
/*		IF @ROW=0 SET @RET=0
		IF @ROW=1 SET @RET=31
		IF @ROW=2 SET @RET=60
		IF @ROW=3 SET @RET=90
		IF @ROW=4 SET @RET=120
		IF @ROW=5 SET @RET=151
		IF @ROW=6 SET @RET=181
		IF @ROW=7 SET @RET=212
		IF @ROW=8 SET @RET=243
		IF @ROW=9 SET @RET=273
		IF @ROW=10 SET @RET=304
		IF @ROW=11 SET @RET=334
*/
	END
	IF @TABLE=3
	BEGIN
		select @RET=CASE @ROW
			WHEN 0 THEN 0
			WHEN 1 THEN 31
			WHEN 2 THEN 60
			WHEN 3 THEN 91
			WHEN 4 THEN 121
			WHEN 5 THEN 152
			WHEN 6 THEN 182
			WHEN 7 THEN 213
			WHEN 8 THEN 244
			WHEN 9 THEN 274
			WHEN 10 THEN 305
			WHEN 11 THEN 335
		END
/*		IF @ROW=0 SET @RET=0
		IF @ROW=1 SET @RET=31
		IF @ROW=2 SET @RET=60
		IF @ROW=3 SET @RET=91
		IF @ROW=4 SET @RET=121
		IF @ROW=5 SET @RET=152
		IF @ROW=6 SET @RET=182
		IF @ROW=7 SET @RET=213
		IF @ROW=8 SET @RET=244
		IF @ROW=9 SET @RET=274
		IF @ROW=10 SET @RET=305
		IF @ROW=11 SET @RET=335
*/	END
	IF @TABLE=4
	BEGIN
		select @RET=CASE @ROW
			WHEN 0 THEN 1
			WHEN 1 THEN 32
			WHEN 2 THEN 60
			WHEN 3 THEN 91
			WHEN 4 THEN 121
			WHEN 5 THEN 152
			WHEN 6 THEN 182
			WHEN 7 THEN 213
			WHEN 8 THEN 244
			WHEN 9 THEN 274
			WHEN 10 THEN 305
			WHEN 11 THEN 335
		END
/*		IF @ROW=0 SET @RET=1
		IF @ROW=1 SET @RET=32
		IF @ROW=2 SET @RET=60
		IF @ROW=3 SET @RET=91
		IF @ROW=4 SET @RET=121
		IF @ROW=5 SET @RET=152
		IF @ROW=6 SET @RET=182
		IF @ROW=7 SET @RET=213
		IF @ROW=8 SET @RET=244
		IF @ROW=9 SET @RET=274
		IF @ROW=10 SET @RET=305
		IF @ROW=11 SET @RET=335
*/	END
	IF @TABLE=5
	BEGIN
		select @RET=CASE @ROW
			WHEN 0 THEN 0
			WHEN 1 THEN 31
			WHEN 2 THEN 62
			WHEN 3 THEN 93
			WHEN 4 THEN 124
			WHEN 5 THEN 155
			WHEN 6 THEN 186
			WHEN 7 THEN 216
			WHEN 8 THEN 246
			WHEN 9 THEN 276
		END
/*		IF @ROW=0 SET @RET=0
		IF @ROW=1 SET @RET=31
		IF @ROW=2 SET @RET=62
		IF @ROW=3 SET @RET=93
		IF @ROW=4 SET @RET=124
		IF @ROW=5 SET @RET=155
		IF @ROW=6 SET @RET=186
		IF @ROW=7 SET @RET=216
		IF @ROW=8 SET @RET=246
		IF @ROW=9 SET @RET=276
*/	END
	IF @TABLE=6
	BEGIN
		IF @ROW=0 SET @RET=0
		IF @ROW=1 SET @RET=30
		IF @ROW=2 SET @RET=60
	END
	RETURN(@RET)
END
